<?php

defined( 'ABSPATH' ) || exit;

class WCGWP_Strings {

	/**
	 * Constructor
	 */
	public function __construct() {

	}

	/**
	 * Saves default strings
	 *
	 * @return void
	 */
	public function save_default_strings() {

		// Save default strings to the DB
		update_option( 'wcgwp_strings', $this->get_default_strings(), false );

	}

	/**
	 * Get default string array
	 *
	 * @since 6.0
	 * @return array
	 */
	public function get_default_strings() {

		return apply_filters( 'wcgwp_filter_strings',
			array(
				'add_wrap_prompt'    => 'Add gift wrap?',
				'add_wrap_message'   => 'Add Gift Wrap Message:',
				'add_wrap_to_order'  => 'Add Gift Wrap to Order',
				'add_wrap_change'    => 'Gift wrap added. Change?',
				'cancel'             => 'Cancel',
				'cancel_remove'      => 'Cancel/Remove',
				'remove_wrap_prompt' => 'Remove gift wrap?',
				'cancel_wrap'        => 'Cancel gift wrap',
				'add_wrap_for_x'     => 'Add gift wrapping for %s?',
				'add_x'              => 'Add %s?',
				'add_x_for_x'        => 'Add %s for %s?',
				'wrap_details'       => 'We offer the following gift wrap options:',
				'wrap_offerings'     => 'We offer the following gift wrap options:',
				'replace'            => 'Are you sure you want to replace the gift wrap in your cart?',
				'cant_wrap'          => 'Sorry, this item cannot be gift wrapped.',
				'note'               => 'Note',
				'note_fee'           => 'Note fee',
				'wrap'               => 'Gift wrap',
				'for'                => 'For',
				'no_product'         => 'Please choose a gift wrap product to continue.',
				'one_to_one'         => 'Only one gift wrap is allowed per item.',
				'only_one'           => 'Only one gift wrap is allowed per item purchase.',
				'up_to_item_qty'     => 'Gift wrap quantity cannot exceed quantity of your item.',
				'up_to_cart_qty'     => 'You cannot have more gift wrap than items in cart.',
			)
		);

	}

	/**
	 * Get language string
	 *
	 * @param string $key
	 * @since 6.0
	 * @return string
	 */
	public function get_string( $key ) {

		$strings = (array) get_option( 'wcgwp_strings', [] );
		if ( empty( $strings ) ) {
			$this->save_default_strings();
		}
		$strings['add_wrap_message'] = apply_filters( 'wcgwp_add_wrap_message', $strings['add_wrap_message'] );
		$strings['add_wrap_prompt'] = apply_filters( 'wcgwp_add_wrap_prompt', $strings['add_wrap_prompt'] );
		$strings['add_wrap_to_order'] = apply_filters( 'wcgwp_add_wrap_button_text', $strings['add_wrap_to_order'] );

		return wp_kses_post( apply_filters( 'wcgwp_filter_string', __( $strings[ $key ], 'woocommerce-gift-wrapper' ) ) );

	}

}